Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3714 - linuxconf (sendmail/'Relay for') fails -- prevents POP serving
Summary: linuxconf (sendmail/'Relay for') fails -- prevents POP serving
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: linuxconf
Version: 6.0
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-06-24 20:22 UTC by John Franks
Modified: 2008-05-01 15:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-10 19:30:12 UTC


Attachments (Terms of Use)

Description John Franks 1999-06-24 20:22:19 UTC
The linuxconf selection "Mail delivery system / Anti-spam /
Relay for by name" (or Relay to hosts) fails.  It creates
entries in the files /etc/mail/relay_allow and
/etc/mail/name_allow.  The version of sendmail shipped with
6.0 no longer uses these files.  Instead entries must be
created in /etc/mail/access and this file must be used to
build the /etc/mail/access.db database.  I suspect that it
also fails for "relay for by IP" but I have not tested it.
This is more serious than the spam filters designaation
would suggest since it makes it impossible to use the system
as a POP server.

Comment 1 Jay Turner 1999-06-28 14:42:59 UTC
This issue has been forwarded to a developer for further action.

Comment 2 Michael K. Johnson 1999-07-13 15:35:59 UTC
Added Jacques to the CC line

Comment 3 Dale Lovelace 1999-12-03 18:59:59 UTC
I'm not sure how anything sendmail does could affect a pop-3 server?? But I
have tested Linuxconf's "Relay for by name" and "Relay for by ip" and they both
work for sending mail, and neither affect pop-3 either way. The versions I
tested were:

sendmail-8.9.3-15.i386.rpm
linuxconf-1.16r10-1.i386.rpm

  If you are running a previous version of sendmail perhaps you should upgrade.

  The version of Linuxconf tested will be issued as an errata in the near future
after further testing. I would suggest upgrading when it is available.

------- Email Received From  John Franks <john@math.nwu.edu> 12/06/99 10:36 -------

Comment 4 Brent Fox 2002-06-05 15:47:16 UTC
Closing because we don't ship linuxconf anymore.


Note You need to log in before you can comment on or make changes to this bug.